ma-notifications

ma-notifications is a Python package that provides a notification center for sending various types of notifications.

## Installation

You can install ma-notification-center using pip:
```python
pip install ma-notifications
```

## Usage

Here's an example of how to use ma-notification-center:

```python
from ma-notifications.notificationcenter import Notifications

# Initialize NotificationCenter
notification_center = Notifications()

# Send an email
notification_center.send_email(
    to_emails=["recipient1@example.com"],
    cc_emails=["recipient2@example.com"],
    bcc_emails=[],
    subject="Notification",
    body_text="This is a notification email.",
    body_html="<p>This is a notification email.</p>"
)

# Send a Telegram message
notification_center.send_telegram(["chat_id"], "Hello from NotificationCenter!")

# Send a Telegram photo
notification_center.send_telegram_photo(["chat_id"], "https://example.com/photo.jpg", "Check out this photo!")

# Send a Telegram document
notification_center.send_telegram_document(["chat_id"], "https://example.com/document.pdf", "Important Document")


Make sure to import the Notifications class from notificationcenter.notificationcenter and instantiate it before using the send_ functions.
